# Generated from mmtrix_rpm-1.0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mmtrix_rpm

Name: rubygem-%{gem_name}
Version: 1.0.0.3
Release: 1%{?dist}
Summary: Mmtrix Ruby Agent
License: Mmtrix and MIT and Ruby
URL: http://git.mmtrix.com/mmtrix/mmtrix_rpm/tree/master
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel > 1.3.1
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(minitest) >= 4.7.5
# BuildRequires: rubygem(minitest) < 4.8
# BuildRequires: rubygem(mocha) >= 0.13.0
# BuildRequires: rubygem(mocha) < 0.14
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(rails) >= 3.2.13
# BuildRequires: rubygem(rails) < 3.3
# BuildRequires: rubygem(pry) >= 0.9.12
# BuildRequires: rubygem(pry) < 0.10
# BuildRequires: rubygem(hometown) >= 0.2.5
# BuildRequires: rubygem(hometown) < 0.3
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-minitest)
# BuildRequires: rubygem(rb-fsevent)
# BuildRequires: rubygem(i18n) = 0.6.11
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Mmtrix is a performance management system, developed by Mmtrix,
Inc (http://www.mmtrix.com).  Mmtrix provides you with deep
information about the performance of your web application as it runs
in production. The Mmtrix Ruby Agent is dual-purposed as a either a
Gem or plugin, hosted on
http://git.mmtrix.com/mmtrix/mmtrix_rpm.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/mongrel_rpm
%{_bindir}/mmtrix_cmd
%{_bindir}/mmtrix
%{_bindir}/nrdebug
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.project
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/cert
%{gem_instdir}/config.dot
%{gem_instdir}/config
%{gem_instdir}/init.rb
%{gem_instdir}/install.rb
%{gem_libdir}
%{gem_instdir}/mmtrix.yml
%{gem_instdir}/recipes
%{gem_instdir}/ui
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/GUIDELINES_FOR_CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/mmtrix_rpm.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.0.3-1
- Initial package
